Bug 203575 - File Details shows contents for directories
File Details shows contents for directories
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
wes hayutin
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
Reported: 2006-08-22 11:07 EDT by Ken Ganong
Modified: 2007-04-18 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-12 23:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-08-22 11:07:04 EDT
see bug summary.
The contents are blank, but that box should not show up at all for directories.
Comment 1 Grant Gainey 2006-09-28 08:21:21 EDT
In addition, there's no place on the file-details page that tells us what kind
of file this is.  Need to add this into additional-details or file-properties.
Comment 2 Grant Gainey 2006-09-28 10:42:30 EDT
Fixed and added file-type to the "File Details" section
Comment 3 Grant Gainey 2006-11-06 10:08:47 EST
Moving to ON_DEV
Comment 4 Grant Gainey 2006-12-04 17:05:11 EST
ON_QA, here we come!
Comment 5 wes hayutin 2007-01-09 09:10:50 EST
This is working correctly, however instead of just not displaying the "file
contents" of a dir.. we should drop the sql insert of that field into the db.
Comment 6 Grant Gainey 2007-01-09 09:39:09 EST
No.  RHNCONFIGREVISION.CONFIG_CONTENT_ID is a non-nullable column, that requires
a foreign-key-ref to the RHNCONFIGCONTENT entry for the revision.  Various
portions of cfg-mgt rely on there -ALWAYS- being a config-content for a revision
regardless of file-type.

If we had the freedom/time/resource to redo the Config-Mgt schema, we might do
such a thing - but the change would be large and far-reaching.
Comment 7 Brandon Perkins 2007-03-12 23:36:15 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.